import type { ContentWidth } from '../../defaultSettings';
export declare const GridContent: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    contentWidth: import("@antdv/pro-utils").VueTypeValidateDef<ContentWidth, import("@antdv/pro-utils").ValidatorFunction<ContentWidth>>;
    prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
}>, () => import("ant-design-vue/es/_util/type").VueNode, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    contentWidth: import("@antdv/pro-utils").VueTypeValidateDef<ContentWidth, import("@antdv/pro-utils").ValidatorFunction<ContentWidth>>;
    prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
